package com.ho.business.mapper;

import com.ho.business.entity.VirtualDeviceRelation;
import com.ho.business.vo.resp.virtualDeviceRelation.VirtualDeviceRelationResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xwz
 * @desc: 虚拟点关联关系
 * @DateTime: 2023/12/12
 */
@Mapper
public interface VirtualDeviceRelationMapper {

    List<VirtualDeviceRelationResp> selectByParam(VirtualDeviceRelation vo);

    int insertOne(VirtualDeviceRelation vo);

    int insertList(@Param("list") List<VirtualDeviceRelation> list);

    int updateById(VirtualDeviceRelation userHabit);

    /**
     * 批量删除
     * @param ids
     * @return
     */
    int deleteByList(@Param("ids") List<Integer> ids);

    int deleteStationId(@Param("stationId") Integer stationId);
}
